> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a runtime validation result

> Uses existing runtime validation permissions and product availability. Evidence unavailability remains explicit.



## OpenAPI

````yaml /openapi.json get /v1/security/repositories/{repository_id}/validations/{validation_id}
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/security/repositories/{repository_id}/validations/{validation_id}:
    get:
      tags:
        - Security
      summary: Read a runtime validation result
      description: >-
        Uses existing runtime validation permissions and product availability.
        Evidence unavailability remains explicit.
      operationId: get_security_runtime_validation
      parameters:
        - name: repository_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: validation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  validation:
                    anyOf:
                      - anyOf:
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 1
                              status:
                                enum:
                                  - pending
                              locator:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  validationId:
                                    type: string
                                    format: uuid
                                  organizationId:
                                    type: string
                                    format: uuid
                                  workspaceId:
                                    type: string
                                    format: uuid
                                  repository:
                                    type: object
                                    properties:
                                      provider:
                                        enum:
                                          - github
                                          - gitlab
                                          - bitbucket
                                          - azure-devops
                                        type: string
                                      id:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                    required:
                                      - provider
                                      - id
                                    additionalProperties: false
                                  findingIdentityId:
                                    type: string
                                    format: uuid
                                  findingOccurrenceId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  scanId:
                                    type: string
                                    format: uuid
                                required:
                                  - schemaVersion
                                  - validationId
                                  - organizationId
                                  - workspaceId
                                  - repository
                                  - findingIdentityId
                                  - findingOccurrenceId
                                  - scanId
                                additionalProperties: false
                              progress:
                                anyOf:
                                  - type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      locator:
                                        type: object
                                        properties:
                                          schemaVersion:
                                            enum:
                                              - 1
                                          validationId:
                                            type: string
                                            format: uuid
                                          organizationId:
                                            type: string
                                            format: uuid
                                          workspaceId:
                                            type: string
                                            format: uuid
                                          repository:
                                            type: object
                                            properties:
                                              provider:
                                                enum:
                                                  - github
                                                  - gitlab
                                                  - bitbucket
                                                  - azure-devops
                                                type: string
                                              id:
                                                type: string
                                                minLength: 1
                                                maxLength: 256
                                            required:
                                              - provider
                                              - id
                                            additionalProperties: false
                                          findingIdentityId:
                                            type: string
                                            format: uuid
                                          findingOccurrenceId:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                          scanId:
                                            type: string
                                            format: uuid
                                        required:
                                          - schemaVersion
                                          - validationId
                                          - organizationId
                                          - workspaceId
                                          - repository
                                          - findingIdentityId
                                          - findingOccurrenceId
                                          - scanId
                                        additionalProperties: false
                                      taskId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      writerGeneration:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                      sequence:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                      executionStatus:
                                        enum:
                                          - queued
                                          - running
                                          - waiting
                                          - completed
                                          - canceled
                                          - failed
                                        type: string
                                      occurredAt:
                                        type: string
                                        format: date-time
                                      reason:
                                        anyOf:
                                          - type: object
                                            properties:
                                              code:
                                                enum:
                                                  - setup_failed
                                                  - missing_dependency
                                                  - authentication_fixture_failed
                                                  - source_changed
                                                  - timeout
                                                  - canceled
                                                  - invalid_test
                                                  - execution_failed
                                                  - insufficient_evidence
                                                  - evidence_publication_failed
                                                type: string
                                              message:
                                                type: string
                                                minLength: 1
                                                maxLength: 4096
                                            required:
                                              - code
                                              - message
                                            additionalProperties: false
                                          - type: string
                                            nullable: true
                                            enum:
                                              - null
                                    required:
                                      - schemaVersion
                                      - locator
                                      - taskId
                                      - writerGeneration
                                      - sequence
                                      - executionStatus
                                      - occurredAt
                                      - reason
                                    additionalProperties: false
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                            required:
                              - schemaVersion
                              - status
                              - locator
                              - progress
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 1
                              status:
                                enum:
                                  - available
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    anyOf:
                                      - type: string
                                        pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  conclusion:
                                    enum:
                                      - reproduced
                                      - not_reproduced
                                      - inconclusive
                                    type: string
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  reason:
                                    anyOf:
                                      - type: object
                                        properties:
                                          code:
                                            enum:
                                              - setup_failed
                                              - missing_dependency
                                              - authentication_fixture_failed
                                              - source_changed
                                              - timeout
                                              - canceled
                                              - invalid_test
                                              - execution_failed
                                              - insufficient_evidence
                                              - evidence_publication_failed
                                            type: string
                                          message:
                                            type: string
                                            minLength: 1
                                            maxLength: 4096
                                        required:
                                          - code
                                          - message
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - conclusion
                                  - summary
                                  - reason
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - receipt
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 1
                              status:
                                enum:
                                  - unavailable
                              locator:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  validationId:
                                    type: string
                                    format: uuid
                                  organizationId:
                                    type: string
                                    format: uuid
                                  workspaceId:
                                    type: string
                                    format: uuid
                                  repository:
                                    type: object
                                    properties:
                                      provider:
                                        enum:
                                          - github
                                          - gitlab
                                          - bitbucket
                                          - azure-devops
                                        type: string
                                      id:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                    required:
                                      - provider
                                      - id
                                    additionalProperties: false
                                  findingIdentityId:
                                    type: string
                                    format: uuid
                                  findingOccurrenceId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  scanId:
                                    type: string
                                    format: uuid
                                required:
                                  - schemaVersion
                                  - validationId
                                  - organizationId
                                  - workspaceId
                                  - repository
                                  - findingIdentityId
                                  - findingOccurrenceId
                                  - scanId
                                additionalProperties: false
                              reason:
                                enum:
                                  - not_published
                              failure:
                                type: object
                                properties:
                                  code:
                                    enum:
                                      - setup_failed
                                      - missing_dependency
                                      - authentication_fixture_failed
                                      - source_changed
                                      - timeout
                                      - canceled
                                      - invalid_test
                                      - execution_failed
                                      - insufficient_evidence
                                      - evidence_publication_failed
                                    type: string
                                  message:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                required:
                                  - code
                                  - message
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - locator
                              - reason
                              - failure
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 1
                              status:
                                enum:
                                  - unavailable
                              reason:
                                enum:
                                  - expired
                                  - deleted
                                  - missing
                                  - corrupt
                                type: string
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    anyOf:
                                      - type: string
                                        pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  conclusion:
                                    enum:
                                      - reproduced
                                      - not_reproduced
                                      - inconclusive
                                    type: string
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  reason:
                                    anyOf:
                                      - type: object
                                        properties:
                                          code:
                                            enum:
                                              - setup_failed
                                              - missing_dependency
                                              - authentication_fixture_failed
                                              - source_changed
                                              - timeout
                                              - canceled
                                              - invalid_test
                                              - execution_failed
                                              - insufficient_evidence
                                              - evidence_publication_failed
                                            type: string
                                          message:
                                            type: string
                                            minLength: 1
                                            maxLength: 4096
                                        required:
                                          - code
                                          - message
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - conclusion
                                  - summary
                                  - reason
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - reason
                              - receipt
                            additionalProperties: false
                      - anyOf:
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 2
                              status:
                                enum:
                                  - available
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 2
                                  mode:
                                    enum:
                                      - manual_reproducer
                                  guideStatus:
                                    enum:
                                      - ready
                                      - partial
                                      - unavailable
                                    type: string
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    type: string
                                    pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - mode
                                  - guideStatus
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - summary
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - receipt
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 2
                              status:
                                enum:
                                  - unavailable
                              reason:
                                enum:
                                  - expired
                                  - deleted
                                  - missing
                                  - corrupt
                                type: string
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 2
                                  mode:
                                    enum:
                                      - manual_reproducer
                                  guideStatus:
                                    enum:
                                      - ready
                                      - partial
                                      - unavailable
                                    type: string
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    type: string
                                    pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - mode
                                  - guideStatus
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - summary
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - reason
                              - receipt
                            additionalProperties: false
                      - anyOf:
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 3
                              status:
                                enum:
                                  - available
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 3
                                  mode:
                                    enum:
                                      - qa_reproducer
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    type: string
                                    pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  guide:
                                    type: object
                                    properties:
                                      validationId:
                                        type: string
                                        format: uuid
                                      manifest:
                                        type: object
                                        properties:
                                          artifactId:
                                            type: string
                                            pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                          sha256:
                                            type: string
                                            pattern: ^[a-f0-9]{64}$
                                        required:
                                          - artifactId
                                          - sha256
                                        additionalProperties: false
                                    required:
                                      - validationId
                                      - manifest
                                    additionalProperties: false
                                  conclusion:
                                    enum:
                                      - reproduced
                                      - not_reproduced
                                      - inconclusive
                                    type: string
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  reason:
                                    anyOf:
                                      - type: object
                                        properties:
                                          code:
                                            enum:
                                              - setup_failed
                                              - missing_dependency
                                              - authentication_fixture_failed
                                              - source_changed
                                              - timeout
                                              - canceled
                                              - invalid_test
                                              - execution_failed
                                              - insufficient_evidence
                                              - evidence_publication_failed
                                            type: string
                                          message:
                                            type: string
                                            minLength: 1
                                            maxLength: 4096
                                        required:
                                          - code
                                          - message
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - mode
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - guide
                                  - conclusion
                                  - summary
                                  - reason
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - receipt
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 3
                              status:
                                enum:
                                  - unavailable
                              reason:
                                enum:
                                  - expired
                                  - deleted
                                  - missing
                                  - corrupt
                                type: string
                              receipt:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 3
                                  mode:
                                    enum:
                                      - qa_reproducer
                                  locator:
                                    type: object
                                    properties:
                                      schemaVersion:
                                        enum:
                                          - 1
                                      validationId:
                                        type: string
                                        format: uuid
                                      organizationId:
                                        type: string
                                        format: uuid
                                      workspaceId:
                                        type: string
                                        format: uuid
                                      repository:
                                        type: object
                                        properties:
                                          provider:
                                            enum:
                                              - github
                                              - gitlab
                                              - bitbucket
                                              - azure-devops
                                            type: string
                                          id:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                        required:
                                          - provider
                                          - id
                                        additionalProperties: false
                                      findingIdentityId:
                                        type: string
                                        format: uuid
                                      findingOccurrenceId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      scanId:
                                        type: string
                                        format: uuid
                                    required:
                                      - schemaVersion
                                      - validationId
                                      - organizationId
                                      - workspaceId
                                      - repository
                                      - findingIdentityId
                                      - findingOccurrenceId
                                      - scanId
                                    additionalProperties: false
                                  taskId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  testedRevision:
                                    type: string
                                    pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                  manifest:
                                    type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                    required:
                                      - artifactId
                                      - sha256
                                    additionalProperties: false
                                  guide:
                                    type: object
                                    properties:
                                      validationId:
                                        type: string
                                        format: uuid
                                      manifest:
                                        type: object
                                        properties:
                                          artifactId:
                                            type: string
                                            pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                          sha256:
                                            type: string
                                            pattern: ^[a-f0-9]{64}$
                                        required:
                                          - artifactId
                                          - sha256
                                        additionalProperties: false
                                    required:
                                      - validationId
                                      - manifest
                                    additionalProperties: false
                                  conclusion:
                                    enum:
                                      - reproduced
                                      - not_reproduced
                                      - inconclusive
                                    type: string
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  reason:
                                    anyOf:
                                      - type: object
                                        properties:
                                          code:
                                            enum:
                                              - setup_failed
                                              - missing_dependency
                                              - authentication_fixture_failed
                                              - source_changed
                                              - timeout
                                              - canceled
                                              - invalid_test
                                              - execution_failed
                                              - insufficient_evidence
                                              - evidence_publication_failed
                                            type: string
                                          message:
                                            type: string
                                            minLength: 1
                                            maxLength: 4096
                                        required:
                                          - code
                                          - message
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  publishedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - schemaVersion
                                  - mode
                                  - locator
                                  - taskId
                                  - testedRevision
                                  - manifest
                                  - guide
                                  - conclusion
                                  - summary
                                  - reason
                                  - publishedAt
                                additionalProperties: false
                            required:
                              - schemaVersion
                              - status
                              - reason
                              - receipt
                            additionalProperties: false
                  manifest:
                    anyOf:
                      - anyOf:
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 1
                              locator:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  validationId:
                                    type: string
                                    format: uuid
                                  organizationId:
                                    type: string
                                    format: uuid
                                  workspaceId:
                                    type: string
                                    format: uuid
                                  repository:
                                    type: object
                                    properties:
                                      provider:
                                        enum:
                                          - github
                                          - gitlab
                                          - bitbucket
                                          - azure-devops
                                        type: string
                                      id:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                    required:
                                      - provider
                                      - id
                                    additionalProperties: false
                                  findingIdentityId:
                                    type: string
                                    format: uuid
                                  findingOccurrenceId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  scanId:
                                    type: string
                                    format: uuid
                                required:
                                  - schemaVersion
                                  - validationId
                                  - organizationId
                                  - workspaceId
                                  - repository
                                  - findingIdentityId
                                  - findingOccurrenceId
                                  - scanId
                                additionalProperties: false
                              taskId:
                                type: string
                                minLength: 1
                                maxLength: 256
                              provenance:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  scanRevision:
                                    anyOf:
                                      - type: string
                                        pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  scanArtifact:
                                    anyOf:
                                      - type: object
                                        properties:
                                          artifactId:
                                            type: string
                                            pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                          sha256:
                                            type: string
                                            pattern: ^[a-f0-9]{64}$
                                        required:
                                          - artifactId
                                          - sha256
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  sourceReferences:
                                    type: array
                                    maxItems: 64
                                    items:
                                      type: object
                                      properties:
                                        filePath:
                                          type: string
                                          minLength: 1
                                          maxLength: 2000
                                        startLine:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                          exclusiveMinimum: true
                                        endLine:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                          exclusiveMinimum: true
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      required:
                                        - filePath
                                        - startLine
                                        - endLine
                                        - artifactId
                                      additionalProperties: false
                                  target:
                                    anyOf:
                                      - type: object
                                        properties:
                                          defaultBranch:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                          revision:
                                            type: string
                                            pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                          resolvedAt:
                                            type: string
                                            format: date-time
                                        required:
                                          - defaultBranch
                                          - revision
                                          - resolvedAt
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                required:
                                  - schemaVersion
                                  - scanRevision
                                  - scanArtifact
                                  - sourceReferences
                                  - target
                                additionalProperties: false
                              environment:
                                anyOf:
                                  - type: object
                                    properties:
                                      fingerprint:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                      baseSnapshotId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      configuration:
                                        anyOf:
                                          - type: object
                                            properties:
                                              environmentId:
                                                type: string
                                                format: uuid
                                              environmentRevision:
                                                type: integer
                                                minimum: 0
                                                maximum: 9007199254740991
                                                exclusiveMinimum: true
                                              repositoryConfiguration:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      id:
                                                        type: string
                                                        format: uuid
                                                      revision:
                                                        type: integer
                                                        minimum: 0
                                                        maximum: 9007199254740991
                                                        exclusiveMinimum: true
                                                    required:
                                                      - id
                                                      - revision
                                                    additionalProperties: false
                                                  - type: string
                                                    nullable: true
                                                    enum:
                                                      - null
                                            required:
                                              - environmentId
                                              - environmentRevision
                                              - repositoryConfiguration
                                            additionalProperties: false
                                          - type: string
                                            nullable: true
                                            enum:
                                              - null
                                    required:
                                      - fingerprint
                                      - baseSnapshotId
                                      - artifactId
                                      - configuration
                                    additionalProperties: false
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              recipe:
                                anyOf:
                                  - type: object
                                    properties:
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      sha256:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                      testArtifactIds:
                                        type: array
                                        minItems: 1
                                        maxItems: 64
                                        items:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      fixtureArtifactIds:
                                        type: array
                                        maxItems: 64
                                        items:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      expectedSecurityEffect:
                                        type: string
                                        minLength: 1
                                        maxLength: 4096
                                      prerequisites:
                                        type: array
                                        maxItems: 32
                                        items:
                                          type: string
                                          minLength: 1
                                          maxLength: 4096
                                      controls:
                                        type: array
                                        minItems: 1
                                        maxItems: 32
                                        items:
                                          type: object
                                          properties:
                                            controlId:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                            description:
                                              type: string
                                              minLength: 1
                                              maxLength: 4096
                                          required:
                                            - controlId
                                            - description
                                          additionalProperties: false
                                    required:
                                      - artifactId
                                      - sha256
                                      - testArtifactIds
                                      - fixtureArtifactIds
                                      - expectedSecurityEffect
                                      - prerequisites
                                      - controls
                                    additionalProperties: false
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              execution:
                                anyOf:
                                  - type: object
                                    properties:
                                      executorVersion:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      startedAt:
                                        type: string
                                        format: date-time
                                      completedAt:
                                        type: string
                                        format: date-time
                                      status:
                                        enum:
                                          - completed
                                          - failed
                                          - timed_out
                                        type: string
                                      freshReplay:
                                        type: boolean
                                      sourceIntegrity:
                                        enum:
                                          - unchanged
                                          - modified
                                          - unknown
                                        type: string
                                      applicationReady:
                                        type: boolean
                                      targetPathExercised:
                                        type: boolean
                                      securityEffect:
                                        enum:
                                          - observed
                                          - not_observed
                                          - unknown
                                        type: string
                                      evidenceArtifactIds:
                                        type: array
                                        minItems: 1
                                        maxItems: 64
                                        items:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      controls:
                                        type: array
                                        maxItems: 32
                                        items:
                                          type: object
                                          properties:
                                            controlId:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                            status:
                                              enum:
                                                - passed
                                                - failed
                                                - not_run
                                                - not_assessed
                                              type: string
                                            evidenceArtifactIds:
                                              type: array
                                              maxItems: 64
                                              items:
                                                type: string
                                                pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                          required:
                                            - controlId
                                            - status
                                            - evidenceArtifactIds
                                          additionalProperties: false
                                    required:
                                      - executorVersion
                                      - startedAt
                                      - completedAt
                                      - status
                                      - freshReplay
                                      - sourceIntegrity
                                      - applicationReady
                                      - targetPathExercised
                                      - securityEffect
                                      - evidenceArtifactIds
                                      - controls
                                    additionalProperties: false
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              assessment:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  assessorVersion:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  conclusion:
                                    enum:
                                      - reproduced
                                      - not_reproduced
                                      - inconclusive
                                    type: string
                                  summary:
                                    type: string
                                    minLength: 1
                                    maxLength: 4096
                                  reason:
                                    anyOf:
                                      - type: object
                                        properties:
                                          code:
                                            enum:
                                              - setup_failed
                                              - missing_dependency
                                              - authentication_fixture_failed
                                              - source_changed
                                              - timeout
                                              - canceled
                                              - invalid_test
                                              - execution_failed
                                              - insufficient_evidence
                                              - evidence_publication_failed
                                            type: string
                                          message:
                                            type: string
                                            minLength: 1
                                            maxLength: 4096
                                        required:
                                          - code
                                          - message
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  evidenceArtifactIds:
                                    type: array
                                    maxItems: 64
                                    items:
                                      type: string
                                      pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                  counterevidence:
                                    type: array
                                    maxItems: 32
                                    items:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                  limitations:
                                    type: array
                                    maxItems: 32
                                    items:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                required:
                                  - schemaVersion
                                  - assessorVersion
                                  - conclusion
                                  - summary
                                  - reason
                                  - evidenceArtifactIds
                                  - counterevidence
                                  - limitations
                                additionalProperties: false
                              artifacts:
                                type: array
                                maxItems: 64
                                items:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 1
                                    artifactId:
                                      type: string
                                      pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                    kind:
                                      enum:
                                        - source
                                        - environment
                                        - recipe
                                        - test
                                        - fixture
                                        - command_output
                                        - http_exchange
                                        - state_observation
                                        - trace
                                      type: string
                                    mediaType:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    byteLength:
                                      type: integer
                                      minimum: 0
                                      maximum: 26214400
                                    sha256:
                                      type: string
                                      pattern: ^[a-f0-9]{64}$
                                    redaction:
                                      enum:
                                        - not_needed
                                        - redacted
                                      type: string
                                    truncated:
                                      type: boolean
                                  required:
                                    - schemaVersion
                                    - artifactId
                                    - kind
                                    - mediaType
                                    - byteLength
                                    - sha256
                                    - redaction
                                    - truncated
                                  additionalProperties: false
                            required:
                              - schemaVersion
                              - locator
                              - taskId
                              - provenance
                              - environment
                              - recipe
                              - execution
                              - assessment
                              - artifacts
                            additionalProperties: false
                          - type: object
                            properties:
                              schemaVersion:
                                enum:
                                  - 2
                              mode:
                                enum:
                                  - manual_reproducer
                              locator:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  validationId:
                                    type: string
                                    format: uuid
                                  organizationId:
                                    type: string
                                    format: uuid
                                  workspaceId:
                                    type: string
                                    format: uuid
                                  repository:
                                    type: object
                                    properties:
                                      provider:
                                        enum:
                                          - github
                                          - gitlab
                                          - bitbucket
                                          - azure-devops
                                        type: string
                                      id:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                    required:
                                      - provider
                                      - id
                                    additionalProperties: false
                                  findingIdentityId:
                                    type: string
                                    format: uuid
                                  findingOccurrenceId:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  scanId:
                                    type: string
                                    format: uuid
                                required:
                                  - schemaVersion
                                  - validationId
                                  - organizationId
                                  - workspaceId
                                  - repository
                                  - findingIdentityId
                                  - findingOccurrenceId
                                  - scanId
                                additionalProperties: false
                              taskId:
                                type: string
                                minLength: 1
                                maxLength: 256
                              provenance:
                                type: object
                                properties:
                                  schemaVersion:
                                    enum:
                                      - 1
                                  scanRevision:
                                    anyOf:
                                      - type: string
                                        pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  scanArtifact:
                                    anyOf:
                                      - type: object
                                        properties:
                                          artifactId:
                                            type: string
                                            pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                          sha256:
                                            type: string
                                            pattern: ^[a-f0-9]{64}$
                                        required:
                                          - artifactId
                                          - sha256
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                  sourceReferences:
                                    type: array
                                    maxItems: 64
                                    items:
                                      type: object
                                      properties:
                                        filePath:
                                          type: string
                                          minLength: 1
                                          maxLength: 2000
                                        startLine:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                          exclusiveMinimum: true
                                        endLine:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                          exclusiveMinimum: true
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      required:
                                        - filePath
                                        - startLine
                                        - endLine
                                        - artifactId
                                      additionalProperties: false
                                  target:
                                    anyOf:
                                      - type: object
                                        properties:
                                          defaultBranch:
                                            type: string
                                            minLength: 1
                                            maxLength: 256
                                          revision:
                                            type: string
                                            pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                          resolvedAt:
                                            type: string
                                            format: date-time
                                        required:
                                          - defaultBranch
                                          - revision
                                          - resolvedAt
                                        additionalProperties: false
                                      - type: string
                                        nullable: true
                                        enum:
                                          - null
                                required:
                                  - schemaVersion
                                  - scanRevision
                                  - scanArtifact
                                  - sourceReferences
                                  - target
                                additionalProperties: false
                              environment:
                                anyOf:
                                  - type: object
                                    properties:
                                      fingerprint:
                                        type: string
                                        pattern: ^[a-f0-9]{64}$
                                      baseSnapshotId:
                                        type: string
                                        minLength: 1
                                        maxLength: 256
                                      artifactId:
                                        type: string
                                        pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                      configuration:
                                        anyOf:
                                          - type: object
                                            properties:
                                              environmentId:
                                                type: string
                                                format: uuid
                                              environmentRevision:
                                                type: integer
                                                minimum: 0
                                                maximum: 9007199254740991
[...]
